--- old/usr/src/uts/common/fs/hsfs/hsfs_vfsops.c	sam. juil. 16 15:14:10 2016
+++ new/usr/src/uts/common/fs/hsfs/hsfs_vfsops.c	sam. juil. 16 15:14:10 2016
@@ -159,7 +159,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlfs, NULL
+	MODREV_1, { (void *)&modlfs, NULL }
 };
 
 extern void hsched_init_caches(void);
@@ -250,13 +250,13 @@
 hsfsinit(int fstype, char *name)
 {
 	static const fs_operation_def_t hsfs_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = hsfs_mount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = hsfs_unmount },
-		VFSNAME_ROOT,		{ .vfs_root = hsfs_root },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = hsfs_statvfs },
-		VFSNAME_VGET,		{ .vfs_vget = hsfs_vget },
-		VFSNAME_MOUNTROOT,	{ .vfs_mountroot = hsfs_mountroot },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = hsfs_mount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = hsfs_unmount } },
+		{ VFSNAME_ROOT,		{ .vfs_root = hsfs_root } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = hsfs_statvfs } },
+		{ VFSNAME_VGET,		{ .vfs_vget = hsfs_vget } },
+		{ VFSNAME_MOUNTROOT,	{ .vfs_mountroot = hsfs_mountroot } },
+		{ NULL,			{ NULL } }
 	};
 	int error;
 
